Page MenuHomePhabricator

Make common implementation of findVariantLink functions of Language Converters.
Closed, ResolvedPublic0.5 Estimated Story Points

Description

Story

The function "findVariantLink " is implemented with the same code in every Language converter. So there is a code duplication which should be avoided.

Context

public function findVariantLink( &$link, &$nt, $ignoreOtherCond = false )

Expected result

  • Common realisation of the function in parent class.
  • Specific realisation in the Converters if there is any logic difference.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2020, 3:40 PM
Art.tsymbar set the point value for this task to 0.5.Jun 9 2020, 8:47 AM
Peter.ovchyn triaged this task as Medium priority.Jun 9 2020, 9:11 AM
Peter.ovchyn updated the task description. (Show Details)
Peter.ovchyn added a subscriber: Peter.ovchyn.
Peter.ovchyn renamed this task from Make common realisation of findVariantLink functions of Language Converters. to Make common implementation of findVariantLink functions of Language Converters. .Jun 9 2020, 9:23 AM

Change 605414 had a related patch set uploaded (by Art.tsymbar; owner: arttsymbar):
[mediawiki/core@master] Language: Make common implementation of findVariantLink functions of Language Converters.

https://gerrit.wikimedia.org/r/605414

Reedy updated the task description. (Show Details)Jun 14 2020, 5:32 PM

Change 605414 merged by jenkins-bot:
[mediawiki/core@master] Language: Make common implementation of findVariantLink functions of Language Converters.

https://gerrit.wikimedia.org/r/c/mediawiki/core/ /605414

Reedy closed this task as Resolved.Oct 25 2020, 8:28 PM